# Class JSoupExtractor

java.lang.Object
org.apache.jmeter.extractor.JSoupExtractor

All Implemented Interfaces:
  `Serializable, Extractor`

public class JSoupExtractor extends Object implements Extractor
JSoup based CSS/JQuery extractor see http://jsoup.org/cookbook/extracting-data/selector-syntax

Since:
  2.9
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JSoupExtractor()`

## Method Summary

Modifier and Type
Method
Description
`int`
`extract(String expression, String attribute, int matchNumber, String inputString, List<String> result, int found, String cacheKey)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JSoupExtractor

public JSoupExtractor()

## Method Details

### extract

public int extract(String expression, String attribute, int matchNumber, String inputString, List<String> result, int found, String cacheKey)

Specified by:
  `extract` in interface `Extractor`
Parameters:
  `expression` - Expression used for extraction of nodes
  `attribute` - Attribute name to return
  `matchNumber` - Match number
  `inputString` - Page or excerpt
  `result` - List of results
  `found` - current matches found
  `cacheKey` - If not null, the implementation is encouraged to cache parsing result and use this key as part of cache key
Returns:
  match found updated
See Also:
  - `Extractor.extract(String, String, int, String, List, int, String)`